filter:
    paths:
        - src/*
    excluded_paths:
        - 'vendor/*'
        - 'app/*'
        - 'var/*'
        - 'web/*'
        - 'src/Wallabag/*Bundle/Tests/*'
        - '*Test.php'

tools:
    php_cs_fixer: true
    php_analyzer: true
    php_mess_detector: true
    php_changetracking: true
    php_code_sniffer: true
    php_pdepend: true
    sensiolabs_security_checker: true
    #external_code_coverage:
    #    timeout: 3600
    php_code_coverage: true
    php_sim: false
    php_cpd: false

checks:
    php:
        code_rating: true
